Subject: Re: using "put"

From: Alastair Gregory <[email-masked]>
Date: Thu, 02 Mar 1995 10:55:32 -0500

I assume you mean you've connected as "ftp" when you put a file.

I don't know any way of changing the user ID on a file you deposit (sounds
like a gaping security hole if you can! :) ).

You can config the access permissions on incoming files so that they're not
executable, overwritable, or even readable by "ftp". This prevents people
from grabbing them before you've had a chance to check up on the files.

Then you just have to scan for new uploads periodically and go in as root
to change ownership or access perms.

Hope this helps...

Alastair Gregory